# BuildRoadDepotWindow Struct Reference

Inheritance diagram for BuildRoadDepotWindow:

## Public Member Functions

| BuildRoadDepotWindow (const WindowDesc *desc, Window *parent)
virtual void | OnPaint ()
| The window must be repainted.
virtual void | DrawWidget (const Rect &r, int widget) const
| Draw the contents of a nested widget.
virtual void | OnClick (Point pt, int widget, int click_count)
| A click with the left mouse button has been made on the window.

## Detailed Description

Definition at line 764 of file road_gui.cpp.

## Member Function Documentation

virtual void BuildRoadDepotWindow::DrawWidget | ( | const Rect & | r,
|  | int | widget |
| ) |  |  | const`[inline, virtual]`

Draw the contents of a nested widget.

Parameters:

  | r | Rectangle occupied by the widget.
  | widget | Number of the widget to draw.

Note:
  This method may not change any state, it may only use drawing functions.

Reimplemented from Window.

Definition at line 783 of file road_gui.cpp.

References DIAGDIR_NE, and IsInsideMM().

virtual void BuildRoadDepotWindow::OnClick | ( | Point | pt,
|  | int | widget,
|  | int | click_count |
| ) |  |  | `[inline, virtual]`

A click with the left mouse button has been made on the window.

Parameters:

  | pt | the point inside the window that has been clicked.
  | widget | the clicked widget.
  | click_count | Number of fast consecutive clicks at same position

Reimplemented from Window.

Definition at line 790 of file road_gui.cpp.

References Window::LowerWidget(), Window::RaiseWidget(), and Window::SetDirty().

virtual void BuildRoadDepotWindow::OnPaint | ( |  | ) | `[inline, virtual]`

The window must be repainted.

Note:
  This method should not change any state, it should only use drawing functions.

Reimplemented from Window.

Definition at line 778 of file road_gui.cpp.

References Window::DrawWidgets().

The documentation for this struct was generated from the following file:

- src/road_gui.cpp